scala.tools.nsc.typechecker.TreeCheckers.TreeChecker

# precheck

#### object precheck extends Global.Traverser with Global.TreeStackTraverser

Source
  TreeCheckers.scala

Linear Supertypes
Global.TreeStackTraverser, Global.Traverser, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. precheck
2. TreeStackTraverser
3. Traverser
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply[T <: Global.Tree](tree: T): T

   Definition Classes
     Traverser

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def atOwner(owner: Global.Symbol)(traverse: ⇒ Unit): Unit

   Definition Classes
     Traverser

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### var currentOwner: Global.Symbol

   Attributes
     protected[scala]
   Definition Classes
     Traverser

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### val path: Stack[Global.Tree]

    Definition Classes
      TreeStackTraverser

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### def traverse(tree: Global.Tree): Unit

    Definition Classes
      precheck → TreeStackTraverser → Traverser

22. #### def traverseAnnotations(annots: List[Global.Tree]): Unit

    Definition Classes
      Traverser

23. #### def traverseCases(cases: List[Global.CaseDef]): Unit

    Definition Classes
      Traverser

24. #### def traverseConstant(c: Global.Constant): Unit

    Definition Classes
      Traverser

25. #### def traverseGuard(guard: Global.Tree): Unit

    Definition Classes
      Traverser

26. #### def traverseImportSelector(sel: Global.ImportSelector): Unit

    Definition Classes
      Traverser

27. #### def traverseModifiers(mods: Global.Modifiers): Unit

    Definition Classes
      Traverser

28. #### def traverseName(name: Global.Name): Unit

    Definition Classes
      Traverser

29. #### def traverseParams(params: List[Global.Tree]): Unit

    Definition Classes
      Traverser

30. #### def traverseParamss(vparamss: List[List[Global.Tree]]): Unit

    Definition Classes
      Traverser

31. #### def traverseParents(parents: List[Global.Tree]): Unit

    Definition Classes
      Traverser

32. #### def traversePattern(pat: Global.Tree): Unit

    Definition Classes
      Traverser

33. #### def traverseSelfType(self: Global.ValDef): Unit

    Definition Classes
      Traverser

34. #### def traverseStats(stats: List[Global.Tree], exprOwner: Global.Symbol): Unit

    Definition Classes
      Traverser

35. #### def traverseTrees(trees: List[Global.Tree]): Unit

    Definition Classes
      Traverser

36. #### def traverseTreess(treess: List[List[Global.Tree]]): Unit

    Definition Classes
      Traverser

37. #### def traverseTypeArgs(args: List[Global.Tree]): Unit

    Definition Classes
      Traverser

38. #### def traverseTypeAscription(tpt: Global.Tree): Unit

    Definition Classes
      Traverser

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Global.TreeStackTraverser

### Inherited from Global.Traverser

### Inherited from AnyRef

### Inherited from Any

### Ungrouped